> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cxconnect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Sentiment

> The sentiment endpoint performs sentiment analysis of the source text. Analysis is performed on the native language if supported, otherwise, the source text is translated to English prior to analysis.



## OpenAPI

````yaml /specs/language-api.yaml post /language/analyze/sentiment
openapi: 3.1.0
info:
  description: cxconnect.ai Omni Language API
  version: 1.0.0
  title: cxconnect.ai Omni Language API
  contact:
    email: support@cxconnect.ai
  license:
    name: cxconnect.ai EULA
    url: https://cxconnect.ai
servers:
  - url: https://test.api.cxconnect.ai
security:
  - OAuth2:
      - access
      - read
      - write
  - BearerAuth:
      - access
      - read
      - write
tags:
  - name: language
    description: cxconnect.ai Language endpoints
externalDocs:
  description: cxconnect.ai
  url: https://cxconnect.ai
paths:
  /language/analyze/sentiment:
    post:
      tags:
        - language
      summary: Sentiment
      description: >-
        The sentiment endpoint performs sentiment analysis of the source text.
        Analysis is performed on the native language if supported, otherwise,
        the source text is translated to English prior to analysis.
      operationId: sentiment
      requestBody:
        $ref: '#/components/requestBodies/SentimentRequest'
      responses:
        '200':
          description: Successful sentiment result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SentimentResult'
        '400':
          description: Invalid request
        '401':
          description: Unauthorized
components:
  requestBodies:
    SentimentRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SentimentRequest'
  schemas:
    SentimentResult:
      type: object
      properties:
        sentiment:
          type: string
        magnitude:
          type: number
          format: float
        score:
          type: number
          format: float
        language:
          type: string
        meta:
          type: object
          additionalProperties:
            type: string
    SentimentRequest:
      type: object
      properties:
        document:
          $ref: '#/components/schemas/Document'
        meta:
          type: object
          additionalProperties:
            type: string
          example:
            foo: bar
    Document:
      type: object
      properties:
        value:
          oneOf:
            - type: string
            - type: object
        mime_type:
          type: string
        language:
          type: string
        meta:
          type: object
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://test.auth.cxconnect.ai
          scopes:
            access: API level access to permit operations
            read: Allow read level access to stored configs and settings
            write: Allow write level access to store configs and settings
    BearerAuth:
      type: http
      scheme: bearer

````